import Vue from 'vue';
import store from '@/store';
import Utils from '@/utils';
import MyWebSocket from '@/utils/webSocket';

const vm = new Vue();
let webSocket = null;

// 监听用户改变
vm.$watch(function() {
  return store.state.userInfo;
}, function(val, oVal) {
  if (val && oVal && val.userId === oVal.userId) return false;
  if (!webSocket) webSocket = new MyWebSocket(store.state.userInfo);
  if (!Utils.isEmptyData(val)) {
    webSocket.init();
  } else {
    webSocket.closeWebSocketConnection();
    webSocket = null;
  }
});
